Skip to content
Browse files

gemspec config, now live on gemcutter

  • Loading branch information...
1 parent bd78baf commit 822c1cf97b6f867268970dfa9eb0e8df138aadea @joshk joshk committed Oct 3, 2009
Showing with 78 additions and 3 deletions.
  1. +2 −1 .gitignore
  2. +25 −1 Rakefile
  3. +0 −1 VERSION
  4. +4 −0 VERSION.yml
  5. +47 −0 completeness-fu.gemspec
View
3 .gitignore
@@ -1 +1,2 @@
-test/test.sqlite3
+test/test.sqlite3
+pkg
View
26 Rakefile
@@ -14,4 +14,28 @@ desc 'Test the completeness scoring plugin.'
Rake::TestTask.new(:test) do |t|
t.pattern = 'test/**/*_test.rb'
t.verbose = true
-end
+end
+
+
+begin
+ require 'jeweler'
+ Jeweler::Tasks.new do |gemspec|
+ gemspec.name = "completeness-fu"
+ gemspec.summary = "Simple dsl for defining how to calculate how complete a model instance is (similar to LinkedIn profile completeness)"
+ gemspec.author = "Josh Kalderimis"
+ gemspec.email = "josh.kalderimis@gmail.com"
+ gemspec.homepage = "http://github.com/joshk/completeness-fu"
+
+ gemspec.files = FileList[
+ "init.rb",
+ "lib/**/*.rb",
+ "readme.textile",
+ "VERSION.yml"
+ ]
+ gemspec.test_files = FileList["test/**/*"]
+
+ gemspec.add_dependency 'activerecord', '>= 2.3.3'
+ end
+rescue LoadError
+ puts "Jeweler not available. Install it with: sudo gem install technicalpickles-jeweler -s http://gems.github.com"
+end
View
1 VERSION
@@ -1 +0,0 @@
-0.0.0
View
4 VERSION.yml
@@ -0,0 +1,4 @@
+---
+:major: 0
+:minor: 5
+:patch: 0
View
47 completeness-fu.gemspec
@@ -0,0 +1,47 @@
+# Generated by jeweler
+# DO NOT EDIT THIS FILE
+# Instead, edit Jeweler::Tasks in Rakefile, and run `rake gemspec`
+# -*- encoding: utf-8 -*-
+
+Gem::Specification.new do |s|
+ s.name = %q{completeness-fu}
+ s.version = "0.5.0"
+
+ s.required_rubygems_version = Gem::Requirement.new(">= 0") if s.respond_to? :required_rubygems_version=
+ s.authors = ["Josh Kalderimis"]
+ s.date = %q{2009-10-03}
+ s.email = %q{josh.kalderimis@gmail.com}
+ s.files = [
+ "VERSION.yml",
+ "init.rb",
+ "lib/completeness-fu.rb",
+ "lib/completeness-fu/active_record_additions.rb",
+ "lib/completeness-fu/scoring_builder.rb"
+ ]
+ s.homepage = %q{http://github.com/joshk/completeness-fu}
+ s.rdoc_options = ["--charset=UTF-8"]
+ s.require_paths = ["lib"]
+ s.rubygems_version = %q{1.3.5}
+ s.summary = %q{Simple dsl for defining how to calculate how complete a model instance is (similar to LinkedIn profile completeness)}
+ s.test_files = [
+ "test/debug.log",
+ "test/en.yml",
+ "test/helper.rb",
+ "test/schema.rb",
+ "test/scoring_test.rb",
+ "test/test.sqlite3"
+ ]
+
+ if s.respond_to? :specification_version then
+ current_version = Gem::Specification::CURRENT_SPECIFICATION_VERSION
+ s.specification_version = 3
+
+ if Gem::Version.new(Gem::RubyGemsVersion) >= Gem::Version.new('1.2.0') then
+ s.add_runtime_dependency(%q<activerecord>, [">= 2.3.3"])
+ else
+ s.add_dependency(%q<activerecord>, [">= 2.3.3"])
+ end
+ else
+ s.add_dependency(%q<activerecord>, [">= 2.3.3"])
+ end
+end

0 comments on commit 822c1cf

Please sign in to comment.
Something went wrong with that request. Please try again.